summaryrefslogtreecommitdiff
path: root/Ubuntu
diff options
context:
space:
mode:
authorrahulp132020-12-15 23:51:31 +0530
committerrahulp132020-12-15 23:51:31 +0530
commit415f460d62f76d3d6b70a65b57a36bb361302424 (patch)
treef077c99587e2702f199eebc1d533486eb5eaf0eb /Ubuntu
parentac223c4a69c701ad0a247401acdc48b8b6b6dba6 (diff)
downloadeSim-415f460d62f76d3d6b70a65b57a36bb361302424.tar.gz
eSim-415f460d62f76d3d6b70a65b57a36bb361302424.tar.bz2
eSim-415f460d62f76d3d6b70a65b57a36bb361302424.zip
disabled exit on error for apt update
Diffstat (limited to 'Ubuntu')
-rwxr-xr-xUbuntu/install-eSim.sh10
1 files changed, 8 insertions, 2 deletions
diff --git a/Ubuntu/install-eSim.sh b/Ubuntu/install-eSim.sh
index 8ce35553..bedd34cb 100755
--- a/Ubuntu/install-eSim.sh
+++ b/Ubuntu/install-eSim.sh
@@ -15,7 +15,7 @@
# AUTHOR: Fahim Khan, Rahul Paknikar, Saurabh Bansode
# ORGANIZATION: eSim Team, FOSSEE, IIT Bombay
# CREATED: Wednesday 15 July 2015 15:26
-# REVISION: Sunday 02 August 2020 01:26
+# REVISION: Wednesday 15 December 2020 23:50
#===============================================================================
# All variables goes here
@@ -104,10 +104,16 @@ function addKicadPPA
function installDependency
{
+ set +e # Temporary disable exit on error
+ trap "" ERR # Do not trap on error of any command
+
#Update apt repository
echo "Updating apt index files..................."
sudo apt-get update
+ set -e # Re-enable exit on error
+ trap error_exit ERR
+
echo "Installing Xterm..........................."
sudo apt-get install -y xterm
@@ -123,7 +129,7 @@ function installDependency
fi
echo "Installing KiCad..........................."
- sudo apt-get install -y --no-install-recommends kicad
+ sudo apt-get install -y --no-install-recommends kicad=4.0.7*
if [[ $(lsb_release -rs) == 20.* ]]; then
sudo add-apt-repository -r "deb http://in.archive.ubuntu.com/ubuntu/ bionic main universe"
fi